<template>
   <HeaderView title="Mapa chodników w Gminie Gnojnik" />
   <main>
      <MapView :line-string-list="store.lineStringList"></MapView>
      <div class="wrapper">
         Chodniki
         <TableView>
            <tr>
               <th>Miejscowość</th>
               <th>Miejsce</th>
               <th>status</th>
               <th>Stan</th>
            </tr>
            <tr v-for="sidewalk in store.sidewalks" :key="sidewalk.id">
               <td>{{ sidewalk.place.name }}</td>
               <td>{{ sidewalk.name }}</td>
               <td>{{ sidewalk.status?.name }}</td>
               <td>{{ sidewalk.condition?.name }}</td>
            </tr>
         </TableView>
      </div>
   </main>
</template>

<script setup lang="ts">
import { onMounted } from "vue"
import { useSidewalks } from "./store"
import MapView from "@/components/MapView.vue"
import TableView from "@/components/TableView.vue"
import HeaderView from "@/components/HeaderView.vue"
import { watch } from "vue"
const store = useSidewalks()

onMounted(async () => {
   await store.fetch()
})
watch(store, () => {
   console.log(store.sidewalks)
})
</script>
<style>
main {
   box-sizing: border-box;
   display: flex;
   width: 100%;
   justify-content: space-between;
   border-top: 1px solid var(--border-color);
}

.wrapper {
   flex: 1;
   width: 100%;
   padding: 1rem;
}
@media (max-width: 550px) {
   .wrapper {
      width: 100%;
      padding: 0;
      height: 100%;
   }
}
</style>
